/cards/v1/batches/bulk

Create Multiple Batches of Innominated

The endpoint /cards/v1/batches/bulk allows you to create up to 15 batches of innominated cards at the same time.

We will validate that you meet the requirements detailed in the documentation.

Considerations

  • Each batch has a maximum of 1,000 cards.
  • The shipping address is mandatory if the distribution type is CLIENT.
  • We will process the call asynchronously, meaning that the cards may not be available immediately.

Available parameters

Header Parameters
AuthorizationString
x-idempotency-keyString
Cuerpo de solicitud
application/json
affinity_group_idstring
quantitynumber
distribution_typeenum
addressobject10 properties
receiverobject5 properties

Response details

401
Unauthorized
403
Access denied

Ejemplo de solicitud
{
  "affinity_group_id": "afg-20MpN8vmIPj77ujhb9cS8ctstN2",
  "quantity": 100,
  "distribution_type": "CLIENT",
  "address": {
    "street_name": "Street",
    "street_number": "123",
    "floor": "5",
    "apartment": "A",
    "city": "Buenos Aires",
    "region": "Buenos Aires",
    "country": "Argentina",
    "zip_code": "5653",
    "neighborhood": "Palermo",
    "additional_info": "Torre 2. Casa amarilla"
  },
  "receiver": {
    "full_name": "Gonzalo Iglesias",
    "email": "[email protected]",
    "document_type": "DNI",
    "document_number": "35354896",
    "telephone_number": "1132421452"
  }
}
Ejemplo de código
curl -X POST "https://api.pomelo.la/cards/v1/batches/bulk" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-idempotency-key: fRwX12Dg3345AD" \
  -d '{
  "affinity_group_id": "afg-20MpN8vmIPj77ujhb9cS8ctstN2",
  "quantity": 100,
  "distribution_type": "CLIENT",
  "address": {
    "street_name": "Street",
    "street_number": "123",
    "floor": "5",
    "apartment": "A",
    "city": "Buenos Aires",
    "region": "Buenos Aires",
    "country": "Argentina",
    "zip_code": "5653",
    "neighborhood": "Palermo",
    "additional_info": "Torre 2. Casa amarilla"
  },
  "receiver": {
    "full_name": "Gonzalo Iglesias",
    "email": "[email protected]",
    "document_type": "DNI",
    "document_number": "35354896",
    "telephone_number": "1132421452"
  }
}'
Ejemplo de respuesta (202)Accepted card batches
{
  "data": {
    "shipment_ids": [
      "shi-2VOLbX1fAeWAn1rABlorxBqRyGF",
      "shi-2VOuvlG4bi0BVgXyCqDHY4ByTD5"
    ],
    "affinity_group_id": "afg-20MpN8vmIPj77ujhb9cS8ctstN2",
    "card_type": "PHYSICAL",
    "quantity": 100,
    "distribution_type": "CLIENT"
  }
}

Pomelo AI

Artificial intelligence assistant for inquiries about the Pomelo API
Hello!How can I help you today?
Create Multiple Batches of Innominated | Pomelo API Reference